Package org.apache.calcite.avatica.remote

## Class Service.ResultSetResponse

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Response
    - - org.apache.calcite.avatica.remote.Service.ResultSetResponse

Enclosing interface:
  Service

    public static class Service.ResultSetResponse
    extends Service.Response

Response that contains a result set.

Regular result sets have `updateCount` -1; any other value means a dummy result set that is just a count, and has no signature and no other data.

Several types of request, including `Meta.getCatalogs(Meta.ConnectionHandle)` and `Meta.getSchemas(Meta.ConnectionHandle, String, org.apache.calcite.avatica.Meta.Pat)` `Meta.getTables(Meta.ConnectionHandle, String, Meta.Pat, Meta.Pat, List)` `Meta.getTableTypes(Meta.ConnectionHandle)` return this response.

### Field Summary

Fields
`private static com.google.protobuf.Descriptors.FieldDescriptor` `CONNECTION_ID_DESCRIPTOR`
`java.lang.String` `connectionId`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `FIRST_FRAME_DESCRIPTOR`
`Meta.Frame` `firstFrame`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `METADATA_DESCRIPTOR`
`boolean` `ownStatement`
`Service.RpcMetadataResponse` `rpcMetadata`
`Meta.Signature` `signature`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `SIGNATURE_DESCRIPTOR`
`int` `statementId`
`long` `updateCount`

### Fields inherited from class org.apache.calcite.avatica.remote.Service.Base

`PRIME`

### Constructor Summary

Constructors
`ResultSetResponse()`
`ResultSetResponse​(java.lang.String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame, long updateCount, Service.RpcMetadataResponse rpcMetadata)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`(package private) Service.ResultSetResponse` `deserialize​(com.google.protobuf.Message genericMsg)`
`boolean` `equals​(java.lang.Object o)`
`(package private) static Service.ResultSetResponse` `fromProto​(Responses.ResultSetResponse msg)`
`int` `hashCode()`
`(package private) Responses.ResultSetResponse` `serialize()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECTION_ID_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor CONNECTION_ID_DESCRIPTOR

#### SIGNATURE_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor SIGNATURE_DESCRIPTOR

#### FIRST_FRAME_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor FIRST_FRAME_DESCRIPTOR

#### METADATA_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor METADATA_DESCRIPTOR

#### connectionId

    public final java.lang.String connectionId

#### statementId

    public final int statementId

#### ownStatement

    public final boolean ownStatement

#### signature

    public final Meta.Signature signature

#### firstFrame

    public final Meta.Frame firstFrame

#### updateCount

    public final long updateCount

#### rpcMetadata

    public final Service.RpcMetadataResponse rpcMetadata

### Constructor Detail

#### ResultSetResponse

    ResultSetResponse()

#### ResultSetResponse

    public ResultSetResponse​(java.lang.String connectionId,
                             int statementId,
                             boolean ownStatement,
                             Meta.Signature signature,
                             Meta.Frame firstFrame,
                             long updateCount,
                             Service.RpcMetadataResponse rpcMetadata)

### Method Detail

#### deserialize

    Service.ResultSetResponse deserialize​(com.google.protobuf.Message genericMsg)

Specified by:
  `deserialize` in class `Service.Response`

#### fromProto

    static Service.ResultSetResponse fromProto​(Responses.ResultSetResponse msg)

#### serialize

    Responses.ResultSetResponse serialize()

Specified by:
  `serialize` in class `Service.Response`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`